<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Presensionline extends CI_Controller
{
    function __construct()
    {
        parent::__construct();
        $this->load->library(array('form_validation','session'));
		$this->load->library('custom_library');
	
    }

    function index(){
        //$this->list_presensi();
    }
    function readKartu(){
        $id_device = $this->input->get('id_device');
        $rfid = $this->input->get('rfid');
        $CekDevice =$this->db->select('*')->from('tbl_device')
                        ->where('id_device',$id_device) 
                        ->get();
        if($CekDevice->num_rows() >0){
             
            if($id_device!="" && $rfid!=""){
                $CekKartu =$this->db->select('*')->from('tbl_kartu')
                            ->where('rfid',$rfid) 
                            ->get();
                if($CekKartu->num_rows() <=0){
                    $this->db->insert('tbl_kartu',array( 
                        'id_device'=>$id_device,
                        'rfid'=>$rfid,
                        'siswa_id'=>"",
                        'status'=>0,
                    ));
                    echo 'kartu telah terdaftar';
                }
            }else{
                 echo 'device/kartu tidak dikenali';
            }
        }else{
            echo 'device_unregistered';
        }
    }
    function cekMasuk(){
        $id_device = $this->input->get('id_device');
        $rfid = $this->input->get('rfid');
        $CekDevice =$this->db->select('*')->from('tbl_device')
                        ->where('id_device',$id_device) 
                        ->get();
        //var_dump($CekDevice->num_rows());die;
        if($CekDevice->num_rows() >0){
            $dataDevice = $CekDevice->row();
            if($dataDevice->status=="register"){
                echo 'register=on';
                return'';
            }
            if($id_device!="" && $rfid!=""){
                $CekPresensi =$this->db->select('*')->from('tbl_presensi')
                            ->where('rfid',$rfid) 
                            ->where('date(datetime)',date('Y-m-d')) 
                            ->get();

                if($CekPresensi->num_rows() <=0){
                    $idSiswa = "";
                    $namaSiswa = "";
                    $DataSiswa =$this->db->select('*')->from('siswa')
                            ->where('no_kartu',$rfid)  
                            ->get();
                    if($DataSiswa->num_rows() <=0){
                        echo 'kartu belum terhubung dengan siswa';
                        return "";
                    }else{
                        $_dataSiswa = $DataSiswa->row();
                        $idSiswa = $_dataSiswa->id_siswa;
                        $namaSiswa  =$_dataSiswa->nama;
                    }        
                    $this->db->insert('tbl_presensi',array( 
                        'device_id'=>$id_device,
                        'rfid'=>$rfid,
                        'id_siswa'=>$idSiswa,
                        'nama_siswa'=>$namaSiswa,
                        'datetime'=>date("y-m-d h:i:s"),
                    ));
                    echo 'Presensi sukses';
                }else{
                    echo 'presensi noted';
                }
            }
        }else{
            echo 'device unregistered';
        }
    }
    function cekDevice(){
        $id_device = $this->input->get('id_device'); 

        $CekDevice =$this->db->select('*')->from('tbl_device')
                        ->where('id_device',$id_device) 
                        ->get();
        if($CekDevice->num_rows() >0){
            $this->db->update('tbl_device',array('on'=>1,'datetime'=>date("Y-m-d H:i:s")),array('id_device'=>$id_device));
            echo 'status=on';
        }else{
            echo 'device unrecognized';
        }
    } 
    function getNumberID(){
        $lastPresensi = $this->db->select('max(id_presensi) last_id')
                        ->from('tbl_presensi')
                        ->get()->row_array();
        return $lastPresensi['last_id']+1;

    }


    public function _rules() 
    {
    if($this->input->post("action")=="add"){
        $this->form_validation->set_rules('id_presensi', 'ID Presensi', 'trim|required|is_unique[tbl_presensi.id_presensi]');
    }
    $this->form_validation->set_error_delimiters('<p class="text-danger">', '</p>');
    }
 

}

/* End of file Presensi.php */
/* Location: ./application/controllers/Presensi.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2016-08-16 13:25:39 */
/* http://harviacode.com */